Skip to content
vocapable.Docs

Mark a conversation read for you

POST
/v1/workspace/inbox/threads/{contact_id}/read
curl --request POST \
--url https://api.vocapable.com/v1/workspace/inbox/threads/example/read \
--header 'Authorization: Bearer <token>'
contact_id
required
Contact Id
string

Successful Response

Media typeapplication/json
WorkspaceThreadSummary
object
contact_id
required
Contact Id
string
organization_id
required
Any of:
string
organization_name
required
Any of:
string
contact_name
required
Contact Name
string
title
required
Any of:
string
owner
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
last_at
required
Last At
string format: date-time
last_kind
required
Last Kind
string
Allowed values: sms caller_request reply voicemail call
preview
required
Preview
string
tag
required
Tag
string
Allowed values: outreach_held pending_review draft awaiting_reply replied
status
required
Status
string
Allowed values: open resolved
resolved_at
required
Any of:
string format: date-time
resolved_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
assignee
required
Any of:
WorkspaceThreadAssignee

The teammate a conversation is assigned to: a membership of this company.

object
membership_id
required
Membership Id
string
user_id
required
Any of:
string
name
required
Name
string
active
required
Active
boolean
is_you
required
Is You
boolean
unread
required
Unread
boolean
revision
required
Revision
integer
Example
{
"last_kind": "sms",
"tag": "outreach_held",
"status": "open"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}